## org.apache.batik.dom.svg
Class SVGOMAnimatedRect

    java.lang.Object
      org.apache.batik.dom.svg.AbstractSVGAnimatedValue
          org.apache.batik.dom.svg.SVGOMAnimatedRect

All Implemented Interfaces:
  AnimatedLiveAttributeValue, LiveAttributeValue, org.w3c.dom.svg.SVGAnimatedRect

    public class SVGOMAnimatedRect

extends AbstractSVGAnimatedValue
implements org.w3c.dom.svg.SVGAnimatedRect

Implementation of `SVGAnimatedRect`.

Nested Class Summary
`protected class` `SVGOMAnimatedRect.AnimSVGRect` This class represents the SVGRect returned by getAnimVal().
`protected class` `SVGOMAnimatedRect.BaseSVGRect` This class represents the SVGRect returned by getBaseVal().

Field Summary
`protected SVGOMAnimatedRect.AnimSVGRect` `animVal` The animated value.
`protected SVGOMAnimatedRect.BaseSVGRect` `baseVal` The base value.
`protected boolean` `changing` Whether the value is changing.
`protected java.lang.String` `defaultValue` Default value.

Fields inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`element, hasAnimVal, listeners, localName, namespaceURI`

Constructor Summary
`SVGOMAnimatedRect(AbstractElement elt, java.lang.String ns, java.lang.String ln, java.lang.String def)` Creates a new SVGOMAnimatedRect.

Method Summary
`void` `attrAdded(org.w3c.dom.Attr node, java.lang.String newv)` Called when an Attr node has been added.
`void` `attrModified(org.w3c.dom.Attr node, java.lang.String oldv, java.lang.String newv)` Called when an Attr node has been modified.
`void` `attrRemoved(org.w3c.dom.Attr node, java.lang.String oldv)` Called when an Attr node has been removed.
`org.w3c.dom.svg.SVGRect` `getAnimVal()` DOM: Implements `SVGAnimatedRect.getAnimVal()`.
`org.w3c.dom.svg.SVGRect` `getBaseVal()` DOM: Implements `SVGAnimatedRect.getBaseVal()`.
`AnimatableValue` `getUnderlyingValue(AnimationTarget target)` Returns the base value of the attribute as an `AnimatableValue`.
`protected void` `updateAnimatedValue(AnimatableValue val)` Updates the animated value with the given `AnimatableValue`.

Methods inherited from class org.apache.batik.dom.svg.AbstractSVGAnimatedValue
`addAnimatedAttributeListener, fireAnimatedAttributeListeners, fireBaseAttributeListeners, getLocalName, getNamespaceURI, isSpecified, removeAnimatedAttributeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### baseVal

    protected SVGOMAnimatedRect.BaseSVGRect baseVal

  The base value.

### animVal

    protected SVGOMAnimatedRect.AnimSVGRect animVal

  The animated value.

### changing

    protected boolean changing

  Whether the value is changing.

### defaultValue

    protected java.lang.String defaultValue

  Default value.

Constructor Detail

### SVGOMAnimatedRect

    public SVGOMAnimatedRect(AbstractElement elt,
                             java.lang.String ns,
                             java.lang.String ln,
                             java.lang.String def)

  Creates a new SVGOMAnimatedRect.

  Parameters:
    `elt` - The associated element.
    `ns` - The attribute's namespace URI.
    `ln` - The attribute's local name.
    `def` - The default value for the attribute.

Method Detail

### getBaseVal

    public org.w3c.dom.svg.SVGRect getBaseVal()

  DOM: Implements `SVGAnimatedRect.getBaseVal()`.

  Specified by:
    `getBaseVal` in interface `org.w3c.dom.svg.SVGAnimatedRect`

### getAnimVal

    public org.w3c.dom.svg.SVGRect getAnimVal()

  DOM: Implements `SVGAnimatedRect.getAnimVal()`.

  Specified by:
    `getAnimVal` in interface `org.w3c.dom.svg.SVGAnimatedRect`

### updateAnimatedValue

    protected void updateAnimatedValue(AnimatableValue val)

  Updates the animated value with the given `AnimatableValue`.

  Specified by:
    `updateAnimatedValue` in class `AbstractSVGAnimatedValue`

### getUnderlyingValue

    public AnimatableValue getUnderlyingValue(AnimationTarget target)

  Returns the base value of the attribute as an `AnimatableValue`.

  Specified by:
    `getUnderlyingValue` in interface `AnimatedLiveAttributeValue`

### attrAdded

    public void attrAdded(org.w3c.dom.Attr node,
                          java.lang.String newv)

  Called when an Attr node has been added.

  Specified by:
    `attrAdded` in interface `LiveAttributeValue`

### attrModified

    public void attrModified(org.w3c.dom.Attr node,
                             java.lang.String oldv,
                             java.lang.String newv)

  Called when an Attr node has been modified.

  Specified by:
    `attrModified` in interface `LiveAttributeValue`

### attrRemoved

    public void attrRemoved(org.w3c.dom.Attr node,
                            java.lang.String oldv)

  Called when an Attr node has been removed.

  Specified by:
    `attrRemoved` in interface `LiveAttributeValue`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.